package com.arms.api.requirement.model.dto;

import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Collections;
import java.util.List;
import java.util.Set;

@AllArgsConstructor
@Getter
public class FilteredResults {

    private Set<String> linkedIds;
    private List<AlmIssueEntity> uniqueIssues;

    public Set<String> getLinkedIds() {
        if (linkedIds == null) {
            return Collections.emptySet();
        }
        return linkedIds;
    }

    public List<AlmIssueEntity> getUniqueIssues() {
        if (uniqueIssues == null) {
            return Collections.emptyList();
        }
        return uniqueIssues;

    }

}
